Get Orders

View as Markdown
This is the partner API for fetching orders. Filtering: `Get Orders` supports filters such as `filter[status]`, `filter[sortOrder]`, `filter[walletAddress]`, and `filter[productsAvailed]`, plus exact match on `filter[partnerOrderId]`. `filter[productsAvailed]` must be passed as a JSON-encoded array string such as `["BUY"]` or `["SELL"]`. Pagination: Respect `limit` and `skip` to avoid large responses.

Headers

access-tokenstringRequired

Your Access Token, you can generate one using our Refresh Token endpoint

Query parameters

limitintegerOptionalDefaults to 100
limits the number of records returned.
skipintegerOptionalDefaults to 0
skip omits the specified number of returned records
startDatestringOptional

startDate in YYYY-MM-DD format. Default to 90 days prior to current date

endDatestringOptional

endDate in YYYY-MM-DD format. Defaults to current date

filter[productsAvailed]stringOptionalDefaults to ["BUY"]

JSON-encoded array string for products availed, for example ["BUY"] or ["SELL"]

filter[status]stringOptionalDefaults to COMPLETED
order status filter
filter[sortOrder]stringOptional

sort order by which you want your orders either desc or asc

filter[walletAddress]stringOptional

filter orders based on a wallet address. Note: Returns BUY orders only

filter[partnerOrderId]stringOptional
filter orders based on a partnerOrderId parameter

Response

Orders fetched successfully
metaobject
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error